
Foreman - Bug #2146

incorrect error logged when security checks are enabled but not configured

01/20/2013 10:33 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Authentication   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Started POST "/reports" for 10.35.27.25 at Sun Jan 20 15:28:20 +0000 2013

Processing by ReportsController#create as

SSL is required - request from 10.35.27.25

Redirected to http://foreman/users/login

Operation FAILED: Render and/or redirect were called multiple times in this action. Please note th

at you may only call render OR redirect, and at most once per action. Also note that neither redir

ect nor render terminate execution of the action, so if you want to exit an action after redirecti

ng, you need to do something like "redirect_to(...) and return".

Completed 500 Internal Server Error in 135ms

AbstractController::DoubleRenderError (Render and/or redirect were called multiple times in this a

ction. Please note that you may only call render OR redirect, and at most once per action. Also no

te that neither redirect nor render terminate execution of the action, so if you want to exit an a

ction after redirecting, you need to do something like "redirect_to(...) and return".):

  app/controllers/application_controller.rb:290:in `generic_exception'

Associated revisions

Revision 8392a8c6 - 01/23/2013 03:48 AM - Dominic Cleal

fixes #2146 - prevent double render

Revision 44c039e1 - 01/23/2013 07:08 AM - Ohad Levy

refs #2146 - ensures redirect does not break on api requests too

History

#1 - 01/20/2013 10:44 AM - Ohad Levy

this imho caused as the require_login can redirect to the login page.

#2 - 01/22/2013 09:02 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/388

#3 - 01/23/2013 05:23 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8392a8c67c47e8b42a8aaf207c106e5f1461e7f4.
